# 81. Запит: Отримати GeoJSON для "EquationMap"

Отримати GeoJSON «EquationMaps», відфільтрований за `equationMapUuids`.

Атрибут `equationMapGeojson` містить GeoJSON з `Полігони` або `MultyPolygons` включаючи геопросторові атрибути об'єктів, такі як `id`, `value` та `площа` в визначених одиницях.

Ключові деталі:

* Параметр `asMultiGeometry: true` означає, що `Полігони` (клітинки «Equation Map») будуть об'єднані в `Мультиполігони` на основі `value` атрибуту кожної клітинки «Equation Map».
* Вихідну площу можна налаштувати за допомогою `unit` параметра. Доступні опції: `ACRES`,  `HECTARES`, `SQUARE_METERS`

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapGeometries {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        equationMapGeojson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}

Якщо геометрії не запитуються (потрібні лише атрибути), тоді є `attributesJson` замість `equationMapGeojson` для використання.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapAttributes {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        attributesJson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/81.-zapit-otrimati-geojson-dlya-equationmap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
